## kwin 5.25.5

=== debian/changelog ===
kwin (4:5.25.5-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:52:11 +0300

kwin (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:32:26 +0100

kwin (4:5.25.4-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Keep our more detailed install files.
    - Extra qml module dependencies.
    - Recommend qtvirtualkeyboard-plugin

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 15:10:30 +0100

kwin (4:5.25.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Aug 2022 20:32:35 +0200

kwin (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:34:29 +0200

kwin (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols
  * Update lintian overrides

  [ Rik Mills ]
  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:59:29 +0100

kwin (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop now unused build dependencies on libkf5kio-dev, kinit-dev,
    libqt5sensors5-dev and qtscript5-dev.
  * Refresh lintian overrides.
  * Add a Recommends on systemsettings used to invoke KCMs.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:13 +0200

kwin (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:44:04 +0100

kwin (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:17:04 +0100

kwin (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:26 +0200

kwin (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:27:25 +0100

kwin (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Update the list of installed files from build logs.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:57 +0200

kwin (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:06:02 +0100

kwin (4:5.24.90-2) experimental; urgency=medium

  * Tighten build dependency to libkdecorations2-dev (>= 4:5.24.90~).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 31 May 2022 22:25:39 +0200

kwin (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Retire kwin-wayland-backend-fbdev.
  * Update the list of installed files from build logs.
  * Drop symbols files, useless for non-public library packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:47:01 +0200

kwin (4:5.24.90-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 20 May 2022 14:55:18 +0300

kwin (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * No longer build depend on kwayland-server as this has now been
    merged into kwin.
  * Update build deps from cmake.
  * Update install files.
  * Drop obsoleted kwin-wayland-backend-fbdev package.
  * Update symbols.
  * Add qml-module-org-kde-kcmutils to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:35 +0100

kwin (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:31 +0200

kwin (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:44 +0100

kwin (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:06:41 +0200

kwin (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:02:48 +0100

kwin (4:5.24.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing Breaks for libkwin4-effect-builtins1.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Mar 2022 18:50:26 +0100

kwin (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Re-export signing key without extra signatures.
  * Update B-Ds and deps with the info from cmake.
  * Remove autopkgtest.
  * Remove binary package libkwin4-effect-builtins1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:55 +0100

kwin (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 18:01:12 +0100

kwin (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:25:21 +0100

kwin (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).


