## kwin 5.27.2

=== debian/changelog ===
kwin (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:10 +0100

kwin (4:5.27.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the xwayland build dependency, setting its required version to
    2:22.1.7-1: this version ships a pkg-config file, which is used at build
    time to determine which runtime option to use; this avoids the usage of
    e.g. the deprecated "-listen" option.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
    - add the dh-sequence-python3 build dependency to use the python3 addon
      automatically, replacing the dh-python build dependency

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:46 +0100

kwin (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update the list of installed files from build logs.
  * Update cross-plasma versioned dependencies.
  * Remove obsolete lib (build) dependencies in favour of their
    replacements.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:58 +0100

kwin (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:19 +0100

kwin (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:06:54 +0100

kwin (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:46:53 +0100

kwin (4:5.26.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.26.2.1).
  * Update build-deps and deps with the info from cmake.
  * Tighten cross-plasma components dependencies.

  [ Helmut Grohne ]
  * Improve cross building: Pass qtwaylandscanner to cmake. (Closes: #1022136)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:35:50 +0200

kwin (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:23 +0200

kwin (4:5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:06 +0200

kwin (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch uninitialized-yuvformat.patch.
  * Bump version of internal libraries libkwineffects and libkwinglutils
    from 13 to 14.
  * Drop obsolete internal library libkwinxrenderutils13.
  * Update the list of installed files from build logs.
  * Upstream merged Wayland backends into the main KWin library.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Sep 2022 23:15:21 +0200

kwin (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:22:15 +0200
