## kwin 5.27.4

=== debian/changelog ===
kwin (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:06 +0100

kwin (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:35 +0000

kwin (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:19 +0000

kwin (4:5.27.1-0ubuntu2) lunar; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 26 Feb 2023 12:20:24 +0000

kwin (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:03 +0000

kwin (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:05 +0000

kwin (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Update build depends.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:02 +0000

kwin (4:5.26.5-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 14:17:53 +0300

kwin (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 19:03:29 +0000

kwin (4:5.26.4-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:37:46 +0300

kwin (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:06 +0000

kwin (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)
  * Drop included upstream_fixes.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:40 +0000

kwin (4:5.26.2.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2.1)
  * Refresh uninitialized-yuvformat.patch
  * Update build deps from cmake.
  * Rename packages according to the SONAME bumps:
    + libkwineffects13 -> libkwineffects14
    + libkwinglutils13 -> libkwinglutils14
  * Drop no longer existing libkwinxrenderutils13
  * Drop obsolete kwin-wayland-backend-.* packages, and make
    transitional.
  * Update other install files.
  * Update symbols.
  * Add upstream_fixes.patch to fix X11 repaint bug and nightcolour.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:10:08 +0000
