=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: kwin
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: breeze-dev (>= 4:5.26.70~),
+           Scarlett Moore <sgmoore@kde.org>,
+Build-Depends: breeze-dev (>= 4:5.27.4~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
-               dh-sequence-python3,
+               dh-python,
                extra-cmake-modules (>= 5.102.0~),
                gettext,
                hwdata,
-               kscreenlocker-dev (>= 5.26.70~),
+               kscreenlocker-dev (>= 5.27.4~),
                libcap-dev [linux-any],
                libdrm-dev (>= 2.4.112~),
-               libegl-dev (>= 1.2~),
+               libegl1-mesa-dev (>= 1.2~),
                libepoxy-dev (>= 1.3),
                libfontconfig-dev,
+               libfontconfig1-dev,
                libfreetype-dev,
+               libfreetype6-dev,
                libgbm-dev,
                libice-dev,
                libinput-dev (>= 1.19~),
-               libkdecorations2-dev (>= 4:5.27.2~),
+               libkdecorations2-dev (>= 4:5.27.4~),
                libkf5activities-dev (>= 5.102.0~),
                libkf5auth-dev (>= 5.102.0~),
                libkf5config-dev (>= 5.102.0~),
@@ -54,7 +58,7 @@
                libqt5x11extras5-dev (>= 5.15.2~),
                libsm-dev,
                libudev-dev [linux-any],
-               libwayland-dev (>= 1.20~),
+               libwayland-dev (>= 1.21~),
                libx11-xcb-dev,
                libxcb-composite0-dev (>= 1.10~),
                libxcb-cursor-dev,
@@ -63,7 +67,7 @@
                libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
-               libxcb-present-dev (>= 1.10~),
+               libxcb-present-dev,
                libxcb-randr0-dev (>= 1.10~),
                libxcb-render0-dev (>= 1.10~),
                libxcb-shape0-dev (>= 1.10~),
@@ -71,8 +75,7 @@
                libxcb-sync-dev (>= 1.10~),
                libxcb-util-dev,
                libxcb-xfixes0-dev (>= 1.10~),
-               libxcb-xinerama0-dev (>= 1.10~),
-               libxcb-xkb-dev (>= 1.10~),
+               libxcb-xinerama0-dev,
                libxcb-xtest0-dev,
                libxcb1-dev (>= 1.10~),
                libxcursor-dev,
@@ -90,11 +93,10 @@
                qttools5-dev (>= 5.15.2~),
                qtwayland5-dev-tools,
                wayland-protocols (>= 1.31~),
-               xwayland (>= 2:22.1.7-1~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://projects.kde.org/projects/kde/workspace/kwin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin
 Rules-Requires-Root: no
 
 Package: kwin-common
@@ -102,13 +104,18 @@
 Depends: hwdata,
          kwin-data (= ${source:Version}),
          libkf5globalaccel-bin,
+         qml-module-org-kde-kcmutils,
+         qml-module-org-kde-kirigami2 (>= 5.54.0~),
+         qml-module-org-kde-kitemmodels,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtmultimedia,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libqt5multimedia5-plugins, plasma-desktop (>= 4:5.26.70~),
-Suggests: kwin-addons (>= 4:5.26.70~),
-Breaks: plasma-workspace (<< 4:5.14), plasma-workspace-dev (<< 4:5.14),
+Recommends: libqt5multimedia5-plugins,
+            plasma-desktop (>= 4:5.26.0~),
+            qtvirtualkeyboard-plugin,
+Suggests: kwin-addons (>= 4:5.26.0~)
+Breaks: plasma-workspace (<< 4:5.14), plasma-workspace-dev (<< 4:5.14)
 Description: KDE window manager, common files
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -123,7 +130,7 @@
 Package: kwin-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: plasma-framework,
             qml-module-qtmultimedia,
             qml-module-qtquick-controls,
@@ -147,7 +154,7 @@
 Section: libdevel
 Architecture: any
 Depends: kwin-common (= ${binary:Version}),
-         libegl-dev (>= 1.2~),
+         libegl1-mesa-dev (>= 1.2~),
          libepoxy-dev (>= 1.3),
          libkf5config-dev (>= 5.102.0~),
          libkf5coreaddons-dev (>= 5.102.0~),
@@ -157,8 +164,8 @@
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: kde-workspace-dev,
-Replaces: kde-workspace-dev,
+Breaks: kde-workspace-dev
+Replaces: kde-workspace-dev
 Description: KDE window manager - devel files
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -172,12 +179,12 @@
 
 Package: kwin-wayland
 Architecture: any
-Depends: kwayland-integration (>= 5.26.70~),
+Depends: kwayland-integration (>= 5.26.0),
          libcap2-bin [linux-any],
          xwayland,
          ${misc:Depends},
          ${shlibs:Depends},
-Provides: kwin,
+Provides: kwin
 Description: KDE window manager, wayland version, PREVIEW release
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -190,13 +197,58 @@
  This package provides the wayland version, which is still a work in progress
  project, and is available as a PREVIEW release. Don't expect the same
  stability as with the x11 version.
-Breaks: plasma-workspace-wayland (<< 4:5.14),
+Breaks: plasma-workspace-wayland (<< 4:5.14)
+
+Package: kwin-wayland-backend-drm
+Architecture: any
+Depends: ${misc:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-fbdev
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-virtual
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-wayland
+Architecture: any
+Depends: ${misc:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
+
+Package: kwin-wayland-backend-x11
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: kwin-wayland-backend
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a dummy package which can be removed.
 
 Package: kwin-x11
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: kwin-addons (<< 4:5.14),
-Provides: kwin, x-window-manager,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kwin-addons (<< 4:5.14)
+Provides: kwin, x-window-manager
 Description: KDE window manager, X11 version
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -211,9 +263,9 @@
 Package: libkwineffects14
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkwin4-effect-builtins1, libkwineffects13,
-Replaces: libkwineffects13,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkwin4-effect-builtins1, libkwineffects12, libkwineffects13
+Replaces: libkwin4-effect-builtins1, libkwineffects12, libkwineffects13
 Description: KDE window manager effects library
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
@@ -228,9 +280,9 @@
 Package: libkwinglutils14
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkwin4-effect-builtins1, libkwinglutils13,
-Replaces: libkwinglutils13,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkwin4-effect-builtins1, libkwinglutils13
+Replaces: libkwinglutils13
 Description: KDE window manager gl utils library
  KWin (pronounced as one syllable "kwin") is the window
  manager for the KDE Plasma Desktop. It gives you complete
